<?php

namespace languages;

use interfaces\language_pack_i;
use traits\language_pack_t;

class language_pack_en_us implements language_pack_i
{
    use language_pack_t;

    public function __construct()
    {
        $this->setLanguage('en_us');
        $this->addTranslations([
            'Order ID is required' => 'Order ID is required ( Translated )',
            'Product ID is required' => 'Product ID is required ( Translated )',
            'Quantity is required' => 'Quantity is required ( Translated )',
            'Order items added' => 'Order items added ( Translated )',
        ]);
    }

    public function getLanguage(): string
    {
        return $this->language;
    }
}